#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <QTimer>
#include "ball.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();
public slots:
    void speedChange(int speed);
    void start();
    void stop();
protected:
    void changeEvent(QEvent *e);
private:
    Ui::MainWindow *m_ui;
    Ball * ball;
    QTimer * timer;
};

#endif // MAINWINDOW_H
