#ifndef BALL_H
#define BALL_H

#include <QWidget>
#include <QPainter>
#include <QFlags>

class Ball : public QWidget
{
Q_OBJECT
private:    
    QPoint pos;
    QPoint vect;
    int radius;
    int speed;
public:
    Ball(QWidget * parent = 0, Qt::WFlags f = 0);
    void setSpeed(int newspeed);
    void setPos(QPoint point);
    void setRadius(int r);
    void setVect(QPoint v);
public slots:
    void move();
protected:
    void paintEvent(QPaintEvent * event);
};

#endif // BALL_H
